Draft WireToBSpline/sv: Difference between revisions

From FreeCAD Documentation
(Created page with "Draft WireToBSpline")
 
(Created page with "{{GuiCommand/sv|Name=Draft WireToBSpline|Name/sv=Draft WireToBSpline|Workbenches=Draft, Arch|MenuLocation=Drafting -> Wire to BSpline}}")
Line 1: Line 1:
{{GuiCommand|Name=Draft WireToBSpline|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}
{{GuiCommand/sv|Name=Draft WireToBSpline|Name/sv=Draft WireToBSpline|Workbenches=[[Draft Module/sv|Draft]], [[Arch Module/sv|Arch]]|MenuLocation=Drafting -> Wire to BSpline}}


==Description==
==Description==

Revision as of 17:00, 17 June 2014

Draft WireToBSpline

Menyplacering
Drafting -> Wire to BSpline
Arbetsbänkar
Draft, Arch
Standard genväg
Ingen
Introducerad i version
-
Se även
Ingen

Description

This tool converts Wires to BSplines, and vice-versa.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft WireToBSpline button

Options

  • The original object will not be deleted after the operation, you must delete it manually if you wish so.

Scripting

Not available, but creating a new object with the points from another one is easy, for example:

  • If the active object is a wire:
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
  • if the active object is a bspline
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)